﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$folder   = "$toolsDir/download"

# download and extract zip setup file
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=auburn'
    unzipLocation  = $folder
    checksum       = '3b30488b7adbe96161a78cb2d772542345e4afc040e8f9410dbfedbdc115e5da'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

# install setup
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'
    silentArgs     = '/SILENT'
    file           = "$folder/AuburnSetup.exe"
    validExitCodes = @(0)
}
Install-ChocolateyInstallPackage @packageArgs

# delete downloaded files
Remove-Item "$folder/*.*"
Remove-Item "$folder"
